Bug 490210 - Review Request: moc - A ncurses-based audio player
Review Request: moc - A ncurses-based audio player
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
: 490215 490216 490217 (view as bug list)
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-03-13 16:20 EDT by Julian Aloofi
Modified: 2009-09-02 07:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julian Aloofi 2009-03-13 16:20:37 EDT
Spec URL: http://cid-53a9ed2d7d1331d9.skydrive.live.com/self.aspx/.Public/moc.spec
SRPM URL: http://cid-53a9ed2d7d1331d9.skydrive.live.com/self.aspx/.Public/moc-2.4.4-1.fc10.src.rpm
Description: MOC (Music On Console) is a powerful ncurses-based media player.
It supports various media formats like Ogg Vorbis, FLAC and Musepack.
The interface is similar to Midnight Commander's and it doesn't need
playlists.
Comment 1 Dominik 'Rathann' Mierzejewski 2009-03-13 16:25:13 EDT
Doesn't this clash with QT's meta object compiler (moc)?
Comment 2 Julian Aloofi 2009-03-13 16:29:02 EDT
I need a sponsor for this, because this is my first package.

(In reply to comment #1)
> Doesn't this clash with QT's meta object compiler (moc)?  

Wow, you were fast :)
Upstream renamed the executable to mocp. Oh, now I see my mistake^^ Crap :)
Well, I'll create a package like moc-player or sth.
Thanks for the hint!
Comment 3 Julian Aloofi 2009-03-13 16:33:59 EDT
OK, moc doesn't have his own package. Sorry for the confusion. There are no conflicts with moc. I need a sponsor, by the way ;)

I can't open the request again. Should I just open another review request or ask someone to open it again?
Comment 4 Julian Aloofi 2009-03-13 16:45:09 EDT
OK, I'll just open another review request. Sorry for this mess.
Comment 5 Bill Nottingham 2009-03-13 16:47:34 EDT
Should be reopened now.
Comment 6 Jason Tibbitts 2009-03-13 16:56:42 EDT
*** Bug 490216 has been marked as a duplicate of this bug. ***
Comment 7 Jason Tibbitts 2009-03-13 16:57:18 EDT
*** Bug 490217 has been marked as a duplicate of this bug. ***
Comment 8 Jason Tibbitts 2009-03-13 16:58:19 EDT
*** Bug 490215 has been marked as a duplicate of this bug. ***
Comment 9 Julian Aloofi 2009-03-13 16:58:45 EDT
Ah, thank you. And good night ;)
Comment 10 Julian Aloofi 2009-03-13 17:45:39 EDT
rpmlint on the binary file now reported some errors. I'll upload fixed versions of the SRPM and .spec file tomorrow. I can't do anything today. The links wont change.
Comment 11 Julian Aloofi 2009-03-13 18:58:42 EDT
I wont be able to solve the problems I have with the package in the near future.
I will go for something simple first. Sorry for this mess...
Comment 12 Joel Andres Granados 2009-06-02 05:17:42 EDT
I'd like to explore the possibility of moc in fedora.  I like it quite a lot :).  My proposal srpm is in http://jgranado.fedorapeople.org/packages/moc/moc-2.5.0-1.fc10.src.rpm.  I need to address a little issue with the initial configuration, after which I will post a new srpm and spec file.

In the mean time, I have a question regarding the deps:  What happens if a fedora package has a dependency on a rpmfusion package.  I think some moc plugins are in rpmfusion.  Does this mean that moc belongs in rpmfusion?  If moc is in rpmfusion, will it have a place in bugzilla?
Comment 13 Joel Andres Granados 2009-06-02 17:19:57 EDT
I fiddled with it some more and I got a working install.
SRPM: http://jgranado.fedorapeople.org/packages/moc/moc-2.5.0-1.fc10.src.rpm
SPEC: http://jgranado.fedorapeople.org/packages/moc/moc.spec

I'll revew the fedora review work flow to see what else needs to be done.
Comment 14 Joel Andres Granados 2009-06-02 18:26:05 EDT
Did some changes here and there.  The srpm in comment 13 is no longer valid.
SRPM: http://jgranado.fedorapeople.org/packages/moc/moc-2.5.0-1.20090602svn2151.fc10.src.rpm
SPEC: http://jgranado.fedorapeople.org/packages/moc/moc.spec
Comment 15 Michael Schwendt 2009-06-23 05:18:58 EDT
> What happens if a fedora package has a dependency on a rpmfusion package.  

It must not create such a dependency. It would be a packaging mistake if it did. During review it won't be accepted into the Fedora package collection.


Btw, the spec file is pretty bad - sloppy - with regard to packaging guidelines that are in use for several years.
Comment 16 Jason Tibbitts 2009-08-27 21:44:06 EDT
So what's the status of this review?  The SRPM at the above URL is corrupted, but that's of little consequence because the package obviously isn't acceptable as-is.  It can't even be built in Fedora due to missing build dependencies.  Unless there are plans to change that, this ticket should be closed.  RPMFusion would be a better place for this package.  (Assuming that someone hasn't already submitted it there; someone was talking about doing so on #fedora-devel today.)
Comment 17 Joel Andres Granados 2009-09-02 07:28:34 EDT
agreed.  moc definitely belongs in rpmfusion due to deps.  I'm closing this for now.

Note You need to log in before you can comment on or make changes to this bug.